=== debian/control ===
--- 
+++ 
@@ -3,41 +3,41 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
-               libkf5config-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5solid-dev (>= 5.41.0~),
-               libkf5threadweaver-dev (>= 5.54.0~),
+               libkf5config-dev (>= 5.56.0~),
+               libkf5coreaddons-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5plasma-dev (>= 5.56.0~),
+               libkf5service-dev (>= 5.56.0~),
+               libkf5solid-dev (>= 5.56.0~),
+               libkf5threadweaver-dev (>= 5.56.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/krunner
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krunner
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krunner.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 
 Package: libkf5runner-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: extra-cmake-modules (>= 5.54.0~),
-         libkf5plasma-dev (>= 5.54.0~),
+Depends: extra-cmake-modules (>= 5.55.0~),
+         libkf5plasma-dev (>= 5.55.0~),
          libkf5runner5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.54),
-         qtbase5-dev (>= 5.9.0~),
+         libkf5windowsystem-dev (>= 5.55.0~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
+Recommends: libkf5runner-doc (= ${source:Version})
 Breaks: kapptemplate (<= 4:16.04)
 Replaces: kapptemplate (<= 4:16.04)
-Recommends: libkf5runner-doc (= ${source:Version})
 Description: development files for krunner
  An assortment of text-related widgets.
  .
@@ -46,6 +46,7 @@
 Package: libkf5runner-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: Used to write plugins loaded at runtime called "Runners" (documentation)
  Launcher built into the Plasma desktop. While its
@@ -55,7 +56,6 @@
  to accomplish a lot of tasks.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5runner5
 Architecture: any
