=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
-               libkf5config-dev (>= 5.56.0~),
-               libkf5coreaddons-dev (>= 5.56.0~),
-               libkf5i18n-dev (>= 5.56.0~),
-               libkf5kio-dev (>= 5.56.0~),
-               libkf5plasma-dev (>= 5.56.0~),
-               libkf5service-dev (>= 5.56.0~),
-               libkf5solid-dev (>= 5.56.0~),
-               libkf5threadweaver-dev (>= 5.56.0~),
+               libkf5config-dev (>= 5.62.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
+               libkf5i18n-dev (>= 5.62.0~),
+               libkf5kio-dev (>= 5.62.0~),
+               libkf5plasma-dev (>= 5.62.0~),
+               libkf5service-dev (>= 5.62.0~),
+               libkf5solid-dev (>= 5.62.0~),
+               libkf5threadweaver-dev (>= 5.62.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
@@ -29,10 +29,10 @@
 Package: libkf5runner-dev
 Architecture: any
 Section: libdevel
-Depends: extra-cmake-modules (>= 5.55.0~),
-         libkf5plasma-dev (>= 5.55.0~),
+Depends: extra-cmake-modules (>= 5.62.0~),
+         libkf5plasma-dev (>= 5.62.0~),
          libkf5runner5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.55.0~),
+         libkf5windowsystem-dev (>= 5.62.0~),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5runner-doc (= ${source:Version})
