=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,30 @@
     runnercontext.cpp
     runnermanager.cpp
     runnersyntax.cpp)
-ecm_qt_declare_logging_category(KF5Runner_SRCS HEADER krunner_debug.h IDENTIFIER KRUNNER CATEGORY_NAME org.kde.krunner)
+ecm_qt_declare_logging_category(KF5Runner_SRCS
+    HEADER krunner_debug.h
+    IDENTIFIER KRUNNER
+    CATEGORY_NAME org.kde.krunner
+    DESCRIPTION "KRunner"
+    EXPORT KRUNNER
+)
 set_property(SOURCE "data/org.kde.krunner1.xml" PROPERTY INCLUDE dbusutils_p.h)
 
 add_library(KF5Runner
     ${KF5Runner_SRCS})
+add_library(KF5::Runner ALIAS KF5Runner)
+ecm_generate_export_header(KF5Runner
+    BASE_NAME KRunner
+    GROUP_BASE_NAME KF
+    VERSION ${KF5_VERSION}
+    DEPRECATED_BASE_VERSION 0
+    DEPRECATION_VERSIONS 5.28
+    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+)
 
-generate_export_header(KF5Runner BASE_NAME KRunner)
-add_library(KF5::Runner ALIAS KF5Runner)
-
+set(KRunner_BUILD_INCLUDE_DIRS ${KRunner_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
 target_include_directories(KF5Runner INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KRunner>")
-target_include_directories(KF5Runner PUBLIC "$<BUILD_INTERFACE:${KRunner_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>")
+target_include_directories(KF5Runner PUBLIC "$<BUILD_INTERFACE:${KRunner_BUILD_INCLUDE_DIRS}>")
 
 
 target_link_libraries(KF5Runner
@@ -83,6 +96,13 @@
     ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5)
 add_dependencies(KF5Runner copy_servicetypes)
 
+ecm_qt_install_logging_categories(
+    EXPORT KRUNNER
+    FILE krunner.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
+
 if(BUILD_QCH)
     ecm_add_qch(
         KF5Runner_QCH
@@ -95,10 +115,15 @@
         MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
         LINK_QCHS
             Qt5Core_QCH
+        INCLUDE_DIRS
+            ${KRunner_BUILD_INCLUDE_DIRS}
         BLANK_MACROS
             KRUNNER_EXPORT
             KRUNNER_DEPRECATED
             KRUNNER_DEPRECATED_EXPORT
+            "KRUNNER_DEPRECATED_VERSION(x, y, t)"
+        PREDEFINED_MACROS
+            "PLASMA_ENABLE_DEPRECATED_SINCE(x, y)=1"
         TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         COMPONENT Devel
