=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON
+	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libkf5runner5-dbg (<= 5.19.0-1~~)'
